FEDORA-2018-2705a7bc42

bugfix update in Fedora 28 for 389-ds-base

Status: obsolete

Bump version to 1.4.0.17-1

Comments 4

This update has been submitted for testing by mreynolds.

This breaks FreeIPA server deployment. From ipaserver-install.log:

2018-10-09T23:11:15Z DEBUG retrieving schema for SchemaCache url=ldapi://%2fvar%2frun%2fslapd-DOMAIN-LOCAL.socket conn=<ldap.ldapobject.SimpleLDAPObject object at 0x7fa0d012f208>
2018-10-09T23:11:15Z DEBUG add_entry_to_group: dn=uid=ipara,ou=People,o=ipaca group_dn=cn=Certificate Manager Agents,ou=groups,o=ipaca member_attr=uniqueMember
2018-10-09T23:11:15Z DEBUG Unhandled LDAPError: PROTOCOL_ERROR: {'desc': 'Protocol error'}
2018-10-09T23:11:15Z DEBUG Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1019, in error_handler
    yield
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1511, in find_entries
    raise e
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1471, in find_entries
    result = self.conn.result3(id, 0)
  File "/usr/lib64/python3.6/site-packages/ldap/ldapobject.py", line 749, in result3
    resp_ctrl_classes=resp_ctrl_classes
  File "/usr/lib64/python3.6/site-packages/ldap/ldapobject.py", line 756, in result4
    ldap_result = self._ldap_call(self._l.result4,msgid,all,timeout,add_ctrls,add_intermediates,add_extop)
  File "/usr/lib64/python3.6/site-packages/ldap/ldapobject.py", line 329, in _ldap_call
    reraise(exc_type, exc_value, exc_traceback)
  File "/usr/lib64/python3.6/site-packages/ldap/compat.py", line 44, in reraise
    raise exc_value
  File "/usr/lib64/python3.6/site-packages/ldap/ldapobject.py", line 313, in _ldap_call
    result = func(*args,**kwargs)
ldap.PROTOCOL_ERROR: {'desc': 'Protocol error'}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/ipaserver/install/service.py", line 605, in start_creation
    run_step(full_msg, method)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/service.py", line 591, in run_step
    method()
  File "/usr/lib/python3.6/site-packages/ipaserver/install/cainstance.py", line 817, in __create_ca_agent
    conn.add_entry_to_group(user_dn, group_dn, 'uniqueMember')
  File "/usr/lib/python3.6/site-packages/ipaserver/plugins/ldap2.py", line 406, in add_entry_to_group
    entry = self.get_entry(dn, [''])
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1568, in get_entry
    size_limit=size_limit, get_effective_rights=get_effective_rights,
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1380, in get_entries
    **kwargs)
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1518, in find_entries
    break
  File "/usr/lib64/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1090, in error_handler
    raise errors.DatabaseError(desc=desc, info=info)
ipalib.errors.DatabaseError: Protocol error:

2018-10-09T23:11:15Z DEBUG   [error] DatabaseError: Protocol error: 
2018-10-09T23:11:15Z DEBUG   File "/usr/lib/python3.6/site-packages/ipapython/admintool.py", line 179, in execute
    return_value = self.run()
  File "/usr/lib/python3.6/site-packages/ipapython/install/cli.py", line 347, in run
    return cfgr.run()
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 360, in run
    return self.execute()
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 386, in execute
    for rval in self._executor():
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 431, in __runner
    exc_handler(exc_info)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 460, in _handle_execute_exception
    self._handle_exception(exc_info)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 450, in _handle_exception
    six.reraise(*exc_info)
  File "/usr/lib/python3.6/site-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 421, in __runner
    step()
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 418, in <lambda>
    step = lambda: next(self.__gen)
  File "/usr/lib/python3.6/site-packages/ipapython/install/util.py", line 81, in run_generator_with_yield_from
    six.reraise(*exc_info)
  File "/usr/lib/python3.6/site-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3.6/site-packages/ipapython/install/util.py", line 59, in run_generator_with_yield_from
    value = gen.send(prev_value)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 655, in _configure
    next(executor)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 431, in __runner
    exc_handler(exc_info)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 460, in _handle_execute_exception
    self._handle_exception(exc_info)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 518, in _handle_exception
    self.__parent._handle_exception(exc_info)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 450, in _handle_exception
    six.reraise(*exc_info)
  File "/usr/lib/python3.6/site-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 515, in _handle_exception
    super(ComponentBase, self)._handle_exception(exc_info)
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 450, in _handle_exception
    six.reraise(*exc_info)
  File "/usr/lib/python3.6/site-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 421, in __runner
    step()
  File "/usr/lib/python3.6/site-packages/ipapython/install/core.py", line 418, in <lambda>
    step = lambda: next(self.__gen)
  File "/usr/lib/python3.6/site-packages/ipapython/install/util.py", line 81, in run_generator_with_yield_from
    six.reraise(*exc_info)
  File "/usr/lib/python3.6/site-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3.6/site-packages/ipapython/install/util.py", line 59, in run_generator_with_yield_from
    value = gen.send(prev_value)
  File "/usr/lib/python3.6/site-packages/ipapython/install/common.py", line 65, in _install
    for unused in self._installer(self.parent):
  File "/usr/lib/python3.6/site-packages/ipaserver/install/server/__init__.py", line 602, in main
    master_install(self)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/server/install.py", line 253, in decorated
    func(installer)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/server/install.py", line 843, in install
    ca.install_step_0(False, None, options, custodia=custodia)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/ca.py", line 325, in install_step_0
    use_ldaps=standalone)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/cainstance.py", line 480, in configure_instance
    self.start_creation(runtime=runtime)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/service.py", line 605, in start_creation
    run_step(full_msg, method)
  File "/usr/lib/python3.6/site-packages/ipaserver/install/service.py", line 591, in run_step
    method()
  File "/usr/lib/python3.6/site-packages/ipaserver/install/cainstance.py", line 817, in __create_ca_agent
    conn.add_entry_to_group(user_dn, group_dn, 'uniqueMember')
  File "/usr/lib/python3.6/site-packages/ipaserver/plugins/ldap2.py", line 406, in add_entry_to_group
    entry = self.get_entry(dn, [''])
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1568, in get_entry
    size_limit=size_limit, get_effective_rights=get_effective_rights,
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1380, in get_entries
    **kwargs)
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1518, in find_entries
    break
  File "/usr/lib64/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python3.6/site-packages/ipapython/ipaldap.py", line 1090, in error_handler
    raise errors.DatabaseError(desc=desc, info=info)

2018-10-09T23:11:15Z DEBUG The ipa-server-install command failed, exception: DatabaseError: Protocol error: 
2018-10-09T23:11:15Z ERROR Protocol error: 
2018-10-09T23:11:15Z ERROR The ipa-server-install command failed. See /var/log/ipaserver-install.log for more information

Full logs available on the Assets tab of the failed test.

karma: -1

This update has been obsoleted.

There was a missing patch in this build - working on a new build...


Add Comment & Feedback
Toggle Preview

Comment fields support Fedora-Flavored Markdown. Comments are governed under this privacy policy.

-1 0 +1 Feedback Guidelines

Is the update generally functional? (karma)

You need to be logged in to add karma!

Test Case 389 ds base setup testcase
Test Case Create normalized dn cache testcase
Test Case Create normalized dn cache testcase2
Content Type
RPM
Status
obsolete
Test Gating
Submitted by
Update Type
bugfix
Update Severity
unspecified
Karma
-1
stable threshold: 1
unstable threshold: -1
Autopush
Enabled
Dates
submitted 2 months ago

Automated Test Results